Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# File::Spec::OS2

Perl 5 version 18.2 documentation
Go to top
Show page index • Show recent pages
Recently read

# File::Spec::OS2

- NAME
- SYNOPSIS
- DESCRIPTION
- COPYRIGHT

# NAME

File::Spec::OS2 - methods for OS/2 file specs

# SYNOPSIS

     require File::Spec::OS2; # Done internally by File::Spec if needed

# DESCRIPTION

See File::Spec and File::Spec::Unix. This package overrides the implementation of these methods, not the semantics.

Amongst the changes made for OS/2 are...

- tmpdir

  Modifies the list of places temp directory information is looked for.

          $ENV{TMPDIR}    $ENV{TEMP}    $ENV{TMP}    /tmp    /

- splitpath

  Volumes can be drive letters or UNC sharenames (\\server\share).

# COPYRIGHT

Copyright (c) 2004 by the Perl 5 Porters. All rights reserved.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

Page index

- NAME
- SYNOPSIS
- DESCRIPTION
- COPYRIGHT